Bug 172049 - KB and mouse misbehavior with SMP kernel
KB and mouse misbehavior with SMP kernel
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-29 17:43 EDT by Michael Cornelison
Modified: 2015-01-04 17:22 EST (History)
3 users (show)

See Also:
Fixed In Version: 2.6.15-1.1830_FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-04 04:33:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Cornelison 2005-10-29 17:43:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.10) Gecko/20050716 Firefox/1.0.6

Description of problem:
My system is an AMD 64 X2 (dual cpu). The problem below happens consistently with SMP version of kernel 2.6.13 but does not happen with uniprocessor version.

Problem description: keyboard keys are sporadically repeated 4-6 times. When 1 key is depressed, 4-6 repetitions are shown in the open application receiving the keystroke. This problem comes and goes with a period of less than a minute. 

Apparently related problem: menu activated with left mouse will not stay open, but disappears when button is released. Both of these problems come and go.

Same KB and mouse work fine in (dual boot) Windows and in 2.6.13 uniprocessor kernel. I also tried other KB and mouse with same result. Using USB or PS2 connection also makes no difference. The only way to make the problem go away is to use the uniprocessor kernel (or Windows). 



Version-Release number of selected component (if applicable):
kernel 2.6.13 smp version

How reproducible:
Always

Steps to Reproduce:
1. boot to 2.6.13 smp kernel using an AMD 64 X2 system
2. open text editor and type some short strings for a minute or two
3. open panel applications menu with left mouse button and see if it stays open when pointer is left on menu and left mouse is released
4. alternate steps 2 and 3 until problems are observed
5. boot to uniprocessor version of kernel
6. problems do not happen


Actual Results:  see problem description

Expected Results:  1. no duplicate characters
2. menu stays open until a selection is made

Additional info:

PC hardware, in case this is relevant:
Shuttle SN25P computer with AMD 64 X2 CPU and nVidia nForce chipset.
Technology is fairly new, a few months on the market.
Comment 1 Rahul Sundaram 2005-11-17 07:37:50 EST
Thank you for the report. However it has been assigned to the incorrect
component 'fedora-release'. I am reassigning this to the 'kernel' component to
reach the correct maintainer.  

Also 2.6.14 has been made available in a update for Fedora Core 4. Kindly
install and boot into the kernel and check if the problem is still reproducible.
Update this report with your feedback.
Comment 2 Michael Cornelison 2005-11-17 13:02:37 EST
Thanks. Was the wrong classification my mistake?

I have already tried 2.6.14 and it has the same problem:
smp version has bug, uniprocessor version does not.
Comment 3 Rahul Sundaram 2005-11-17 13:16:15 EST
(In reply to comment #2)
> Thanks. Was the wrong classification my mistake?
> 

Yes. You have choosen fedora-release instead of kernel while selecting the
component to file the bug against. It can of course be reassigned as appropriate
but that would potentially delay the resolution.

> I have already tried 2.6.14 and it has the same problem:
> smp version has bug, uniprocessor version does not.
> 

Thanks. Kindly Wait on the developer response.
Comment 4 Michael Cornelison 2005-12-12 17:06:43 EST
Update from bug originator.

smp kernel build 1650 seems to have solved the problem.
(kernel-smp-i686 2.6.14-1.1650_FC4)

KB input duplicated characters are gone.
Mouse-menu interaction is normal.

thank you
Comment 5 Dave Jones 2006-02-03 01:38:07 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 6 Michael Cornelison 2006-02-04 04:33:07 EST
Kernel build 1830 does not show these problems.
AFAIK the bug can be closed.

Note You need to log in before you can comment on or make changes to this bug.